Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

setup.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: setup.php 6237 2001-07-20 12:01:51Z jakobn $
5 //
6 // Created on: <25-Jan-2001 00:58:23 amos>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 // include_once( "classes/ezmenubox.php" );
29 // include_once( "classes/INIFile.php" );
30
31 $ini =& $GlobalSiteIni;
32 $SiteDesign =& $ini->variable( "site", "SiteStyle" );
33
34 $menuItems = array(
35 array( "/contact/consultationtype/list/", "{intl-consultationtypelist}" ),
36 array( "/contact/projecttype/list/", "{intl-projecttypelist}" )
37 );
38
39 eZMenuBox::createBox( "eZContact", "ezcontact", "admin", $SiteDesign, $menuItems,
40 true, "menuitems.tpl", false, true );
41
42 ?>
eZMenuBox\createBox
static createBox( $ModuleName, $module_dir, $place, $SiteDesign, &$menuItems, $print=true, $templatefile=false, $phpfile=false, $ignore_status=false, $allow_module_template=false, $settingsModuleName=false)
Definition: ezmenubox.php:61
$GlobalSiteIni
$GlobalSiteIni
Definition: ezarticle/xmlrpc/xmlrpcserver.php:33
$ini
$ini
Definition: setup.php:31
$menuItems
$menuItems
Definition: setup.php:34
$SiteDesign
$SiteDesign
Definition: setup.php:32
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.